Bug 853231 - NameError: global name 'localeinfo' is not defined
NameError: global name 'localeinfo' is not defined
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:871d3f7b0df20f249170d8721b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 15:55 EDT by Joachim Frieben
Modified: 2012-09-05 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 20:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (492.61 KB, text/plain)
2012-08-30 15:55 EDT, Joachim Frieben
no flags Details
File: environ (865 bytes, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: type (9 bytes, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: storage.log (130.62 KB, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: program.log (65.59 KB, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: product (6 bytes, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: anaconda.log (1.35 KB, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: version (2 bytes, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: release (27 bytes, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details
File: messages (284.36 KB, text/plain)
2012-08-30 15:56 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2012-08-30 15:55:49 EDT
Version-Release number of selected component:
anaconda-18.6.3-1.fc18.x86_64

Additional info:
libreport version: 2.0.13
cmdline:        initrd=initrd0.img root=live:CDLABEL=fedora-livec-x86_64-201208271518 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.6.3 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/language.py", line 131, in __init__
:    self.localeInfo = localeinfo.get(self._default)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/__init__.py", line 116, in instLanguage
:    self._instLanguage = language.Language(self.displayMode)
:  File "/sbin/anaconda", line 916, in <module>
:    anaconda.instLanguage.instLang = opts.lang
:NameError: global name 'localeinfo' is not defined
Comment 1 Joachim Frieben 2012-08-30 15:55:57 EDT
Created attachment 608283 [details]
File: anaconda-tb
Comment 2 Joachim Frieben 2012-08-30 15:56:06 EDT
Created attachment 608284 [details]
File: environ
Comment 3 Joachim Frieben 2012-08-30 15:56:08 EDT
Created attachment 608285 [details]
File: type
Comment 4 Joachim Frieben 2012-08-30 15:56:11 EDT
Created attachment 608286 [details]
File: storage.log
Comment 5 Joachim Frieben 2012-08-30 15:56:14 EDT
Created attachment 608287 [details]
File: program.log
Comment 6 Joachim Frieben 2012-08-30 15:56:16 EDT
Created attachment 608288 [details]
File: product
Comment 7 Joachim Frieben 2012-08-30 15:56:18 EDT
Created attachment 608289 [details]
File: anaconda.log
Comment 8 Joachim Frieben 2012-08-30 15:56:20 EDT
Created attachment 608290 [details]
File: hashmarkername
Comment 9 Joachim Frieben 2012-08-30 15:56:22 EDT
Created attachment 608291 [details]
File: version
Comment 10 Joachim Frieben 2012-08-30 15:56:24 EDT
Created attachment 608292 [details]
File: release
Comment 11 Joachim Frieben 2012-08-30 15:56:29 EDT
Created attachment 608293 [details]
File: messages
Comment 12 Chris Lumens 2012-08-30 16:03:35 EDT
This code is going away real soon anyway.
Comment 13 Fedora Update System 2012-09-01 01:11:39 EDT
anaconda-18.6.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.6.5-1.fc18
Comment 14 Fedora Update System 2012-09-01 12:56:25 EDT
Package anaconda-18.6.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.6.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13105/anaconda-18.6.5-1.fc18
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-09-05 20:53:11 EDT
anaconda-18.6.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.